Package com.google.javascript.jscomp

# Class FunctionInfo

java.lang.Object
com.google.javascript.jscomp.FunctionInfo

public final class FunctionInfo extends Object

## Method Summary

Modifier and Type
Method
Description
`static com.google.protobuf.Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

### getDescriptor

public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()